Availability
Disc Brakes
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,074.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Zinc Plated, 5 x 4.75 in. Bolt Pattern, Kit
Part Number: LEB-FC1011-K105X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,074.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $929.99
Rebate Expires: 10/31/2026
Brake Kit, Drum to Disc Conversion, Single Piston, Crossdrilled/Slotted Rotors, 5-Lug, Zinc Plated Calipers, Ford, Kit
Part Number: LEB-RC0012X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $929.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$75.00 Mail-In Rebate
Price after Manufacturer Rebate: $889.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Cross-Drilled/Slotted Rotors, Vented, Cast Iron Calipers, Zinc Plated, 2 in. Drop Spindles, 5 x 4.75 in., Kit
Part Number: LEB-FC1003SMX
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$75.00 Mail-In Rebate
Price after Manufacturer Rebate: $889.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,449.95
Rebate Expires: 10/31/2026
Disc Brake Kit, MaxGrip Lite Caliper and Rotors, Front, Cross-Drilled/Slotted Rotors, Red Calipers, Chevy, GMC, Buick, Oldsmobile, Pontiac, Kit
Part Number: LEB-RCC1008RKX
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,449.95
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,624.95
Rebate Expires: 10/31/2026
Disc Brake Kit, MaxGrip Lite Disc Brake Conversion, Front, Cross-Drilled/Slotted Rotors, Gray Calipers, 2 in. Drop Spindles, GM, Kit
Part Number: LEB-FC1009SMX
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,624.95
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,114.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Vented Rotors, Cast Iron Calipers, Red Powdercoated, Stock Ride Height, 5 x 4.75 in. Bolt Pattern, Kit
Part Number: LEB-RFC1002-FA1X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,114.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $929.99
Rebate Expires: 10/31/2026
Brake Kit, Drum to Disc Conversion, Single Piston, Crossdrilled/Slotted Rotors, 4-Lug, Zinc Plated Calipers, Ford, Kit
Part Number: LEB-RC0010X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $929.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,199.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Solid Surface Rotors, Cast Iron Calipers, Zinc Plated, 2 in. Drop Spindle, 5 x 4.75 in., Kit
Part Number: LEB-FC1003-F6B2
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,199.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,039.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Solid Surface Rotors, Cast Iron Calipers, Zinc Plated, 2 in. Drop Spindle, 5 x 4.75 in., Kit
Part Number: LEB-FC1003-E105
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,039.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,109.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Cross-Drilled/Slotted Rotors, Vented, Cast Iron Calipers, Zinc Plated, 2 in. Drop Spindle, 5 x 4.75 in., Kit
Part Number: LEB-FC1003-EA3X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,109.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $927.99
Rebate Expires: 10/31/2026
Brake Kit, Drum to Disc Conversion, Single Piston, Crossdrilled/Slotted Rotors, 5-Lug, Black Calipers, Ford, Kit
Part Number: LEB-BRC0014X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $927.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,199.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Solid Rotors, Cast Iron Calipers, Zinc Plated, 5 x 4.50 in. Bolt Pattern, Ford, Mercury, Kit
Part Number: LEB-FC0004-405
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,199.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,179.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Zinc Plated, Stock Ride Height, 5 x 4.75 in., Kit
Part Number: LEB-FC1002-E181X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,179.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$75.00 Mail-In Rebate
Price after Manufacturer Rebate: $781.80
Rebate Expires: 10/31/2026
Rear Disc Brake Conversion with MaxGrip XDS Rotors - GM Gbody 7.5 or 8.5 Rear Axle
Part Number: LEB-RC1008X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$75.00 Mail-In Rebate
Price after Manufacturer Rebate: $781.80
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,094.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Vented Rotors, Cast Iron Calipers, Red Powdercoated, Stock Ride Height, 5 x 4.75 in. Bolt Pattern, Kit
Part Number: LEB-RFC1006-3A1X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,094.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,154.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Vented Rotors, Cast Iron Calipers, Red Powdercoated, Stock Ride Height, 5 x 4.75 in. Bolt Pattern, Kit
Part Number: LEB-RFC1006-FA1X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,154.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,165.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Red Powdercoated, 5 x 4.75 in. Bolt Pattern, Kit
Part Number: LEB-RFC1010K1A3X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,165.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$75.00 Mail-In Rebate
Price after Manufacturer Rebate: $899.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Rear Conversion, Cross-Drilled/Slotted Rotors, Zinc Plated Calipers, 6 x 5.50 in. Bolt Pattern, Chevy, GMC, Kit
Part Number: LEB-RC6005X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$75.00 Mail-In Rebate
Price after Manufacturer Rebate: $899.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,094.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Vented Rotors, Cast Iron Calipers, Red Powdercoated, Stock Ride Height, 5 x 4.75 in. Bolt Pattern, Kit
Part Number: LEB-RFC1006-3A3X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,094.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,156.99
Rebate Expires: 10/31/2026
Brake Kit, Drum to Disc Conversion, Single Piston, Crossdrilled/Slotted Rotors, 5-Lug, Red Powdercoated Calipers, Master Cylinder, Ford, Kit
Part Number: LEB-RRC0013X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,156.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,334.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Red, 2 in. Drop Spindle, 5 x 4.75 in., Kit
Part Number: LEB-RFC1003M1A1X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,334.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$75.00 Mail-In Rebate
Price after Manufacturer Rebate: $854.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Solid Surface Rotors, Cast Iron Calipers, Zinc Plated, Stock Ride Height, 5 x 4.75 in. Bolt Pattern, Kit
Part Number: LEB-FC1006-E05
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$75.00 Mail-In Rebate
Price after Manufacturer Rebate: $854.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,039.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Cross-Drilled/Slotted Rotors, Vented, Cast Iron Calipers, Zinc Plated, Stock Ride Height, 5 x 4.75 in., Kit
Part Number: LEB-FC1006-EA1X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,039.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,029.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Vented Rotors, Cast Iron Calipers, Red Powdercoated, 5 x 4.75 in. Bolt Pattern, Kit
Part Number: LEB-RFC1011-3A3X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,029.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$75.00 Mail-In Rebate
Price after Manufacturer Rebate: $881.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Cross-Drilled/Slotted Rotors, Vented, Cast Iron Calipers, Red Powdercoated, 5 x 4.75 in. Bolt Pattern, Kit
Part Number: LEB-RFC1010SMX
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$75.00 Mail-In Rebate
Price after Manufacturer Rebate: $881.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
Truck / SUV
Jeep®
Restoration
Stock Replacement
Late Model Muscle
Tools
Gifts, Clothing, & More
Circle Track
Street Rod
Powersports
Paint & Body
Marine
Jr Dragster